org.apache.cassandra.db.filter

## Class QueryPath

- java.lang.Object
- - org.apache.cassandra.db.filter.QueryPath

-     public class QueryPath
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `columnFamilyName`
    `java.nio.ByteBuffer` | `columnName`
    `java.nio.ByteBuffer` | `superColumnName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryPath(ColumnParent columnParent)`
    `QueryPath(ColumnPath column_path)`
    `QueryPath(java.lang.String columnFamilyName)`
    `QueryPath(java.lang.String columnFamilyName, java.nio.ByteBuffer superColumnName)`
    `QueryPath(java.lang.String columnFamilyName, java.nio.ByteBuffer superColumnName, java.nio.ByteBuffer columnName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QueryPath` | `column(java.nio.ByteBuffer columnName)`
    `static QueryPath` | `deserialize(java.io.DataInput din)`
    `void` | `serialize(java.io.DataOutput dos)`
    `int` | `serializedSize(TypeSizes typeSizes)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### columnFamilyName

          public final java.lang.String columnFamilyName

    - #### superColumnName

          public final java.nio.ByteBuffer superColumnName

    - #### columnName

          public final java.nio.ByteBuffer columnName

  - ### Constructor Detail

    - #### QueryPath

          public QueryPath(java.lang.String columnFamilyName,
                   java.nio.ByteBuffer superColumnName,
                   java.nio.ByteBuffer columnName)

    - #### QueryPath

          public QueryPath(ColumnParent columnParent)

    - #### QueryPath

          public QueryPath(java.lang.String columnFamilyName,
                   java.nio.ByteBuffer superColumnName)

    - #### QueryPath

          public QueryPath(java.lang.String columnFamilyName)

    - #### QueryPath

          public QueryPath(ColumnPath column_path)

  - ### Method Detail

    - #### column

          public static QueryPath column(java.nio.ByteBuffer columnName)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### serialize

          public void serialize(java.io.DataOutput dos)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### deserialize

          public static QueryPath deserialize(java.io.DataInput din)
                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### serializedSize

          public int serializedSize(TypeSizes typeSizes)

Copyright © 2014 The Apache Software Foundation